Skip to main content
GET
/
api
/
v1
/
billing
/
ledger
List ledger entries
curl --request GET \
  --url https://api.webscraping.titannet.io/api/v1/billing/ledger \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT or API key as Bearer (e.g. titan_sk_…).

Query Parameters

limit
integer
default:50
Required range: x <= 100
offset
integer
default:0
from
string

RFC3339 or YYYY-MM-DD (UTC start of day)

to
string

RFC3339 or YYYY-MM-DD (UTC end of day)

task_id
string<uuid>
execution_id
string<uuid>
direction
enum<string>
Available options:
credit,
debit
reason_code
string

Response

LedgerResponse in data

success
boolean
Example:

true

data
any